
import matplotlib.pyplot as plt

# Binned data, values are bar heights
n_a = [1, 1.3]
n_b = [1, 1.5]

# Bin edges
bins = [0, 1, 2]

# Draw lower bar
plt.hist(bins[:-1],
         bins=bins,
         weights=n_a,  # Set bar height
         histtype='stepfilled')

# Draw upper bar
plt.hist(bins[:-1],
         bins=bins,
         bottom=n_a, # Offset upper bar
         weights=n_b,  # Set bar height
         histtype='stepfilled')

plt.savefig("example.png")
